io.flutter.plugin.common

## Interface PluginRegistry.Registrar

- Enclosing interface:
    PluginRegistry

  Deprecated.
  This registrar is for Flutter's v1 embedding. For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      @Deprecated
      public static interface PluginRegistry.Registrar

  Receiver of registrations from a single plugin.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Context` | `activeContext()` Deprecated. Returns the active `Context`.
    `Activity` | `activity()` Deprecated. Returns the `Activity` that forms the plugin's operating context.
    `PluginRegistry.Registrar` | `addActivityResultListener(PluginRegistry.ActivityResultListener listener)` Deprecated. Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onActivityResult(int, int, Intent)`.
    `PluginRegistry.Registrar` | `addNewIntentListener(PluginRegistry.NewIntentListener listener)` Deprecated. Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onNewIntent(Intent)`.
    `PluginRegistry.Registrar` | `addRequestPermissionsResultListener(PluginRegistry.RequestPermissionsResultListener listener)` Deprecated. Adds a callback allowing the plugin to take part in handling incoming calls to `Activity#onRequestPermissionsResult(int, String[], int[])` or `androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback#onRequestPermissionsResult(int, String[], int[])`.
    `PluginRegistry.Registrar` | `addUserLeaveHintListener(PluginRegistry.UserLeaveHintListener listener)` Deprecated. Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onUserLeaveHint()`.
    `PluginRegistry.Registrar` | `addViewDestroyListener(PluginRegistry.ViewDestroyListener listener)` Deprecated. Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onDestroy()`.
    `Context` | `context()` Deprecated. Returns the `Application`'s `Context`.
    `String` | `lookupKeyForAsset(String asset)` Deprecated. Returns the file name for the given asset.
    `String` | `lookupKeyForAsset(String asset, String packageName)` Deprecated. Returns the file name for the given asset which originates from the specified packageName.
    `BinaryMessenger` | `messenger()` Deprecated. Returns a `BinaryMessenger` which the plugin can use for creating channels for communicating with the Dart side.
    `PlatformViewRegistry` | `platformViewRegistry()` Deprecated. Returns the application's `PlatformViewRegistry`.
    `PluginRegistry.Registrar` | `publish(Object value)` Deprecated. Publishes a value associated with the plugin being registered.
    `TextureRegistry` | `textures()` Deprecated. Returns a `TextureRegistry` which the plugin can use for managing backend textures.
    `FlutterView` | `view()` Deprecated. Returns the `FlutterView` that's instantiated by this plugin's `activity`.

- - ### Method Detail

    - #### activity

          Activity activity()

      Deprecated.
      Returns the `Activity` that forms the plugin's operating context.

      Plugin authors should not assume the type returned by this method is any specific subclass of `Activity` (such as `FlutterActivity` or `FlutterFragmentActivity`), as applications are free to use any activity subclass.

      When there is no foreground activity in the application, this will return null. If a `Context` is needed, use context() to get the application's context.

      This registrar is for Flutter's v1 embedding. To access an `Activity` from a plugin using the v2 embedding, see `ActivityPluginBinding.getActivity()`. To obtain an instance of an `ActivityPluginBinding` in a Flutter plugin, implement the `ActivityAware` interface. A binding is provided in `ActivityAware.onAttachedToActivity(ActivityPluginBinding)` and `ActivityAware.onReattachedToActivityForConfigChanges(ActivityPluginBinding)`.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### context

          Context context()

      Deprecated.
      Returns the `Application`'s `Context`.

      This registrar is for Flutter's v1 embedding. To access a `Context` from a plugin using the v2 embedding, see `FlutterPlugin.FlutterPluginBinding#getApplicationContext()`

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### activeContext

          Context activeContext()

      Deprecated.
      Returns the active `Context`.

      This registrar is for Flutter's v1 embedding. In the v2 embedding, there is no concept of an "active context". Either use the application `Context` or an attached `Activity`. See `context()` and `activity()` for more details.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Returns:
        the current `Activity`, if not null, otherwise the `Application`.

    - #### messenger

          BinaryMessenger messenger()

      Deprecated.
      Returns a `BinaryMessenger` which the plugin can use for creating channels for communicating with the Dart side.

      This registrar is for Flutter's v1 embedding. To access a `BinaryMessenger` from a plugin using the v2 embedding, see `FlutterPlugin.FlutterPluginBinding#getBinaryMessenger()`

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### textures

          TextureRegistry textures()

      Deprecated.
      Returns a `TextureRegistry` which the plugin can use for managing backend textures.

      This registrar is for Flutter's v1 embedding. To access a `TextureRegistry` from a plugin using the v2 embedding, see `FlutterPlugin.FlutterPluginBinding#getTextureRegistry()`

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### platformViewRegistry

          PlatformViewRegistry platformViewRegistry()

      Deprecated.
      Returns the application's `PlatformViewRegistry`.

      Plugins can use the platform registry to register their view factories.

      This registrar is for Flutter's v1 embedding. To access a `PlatformViewRegistry` from a plugin using the v2 embedding, see `FlutterPlugin.FlutterPluginBinding#getPlatformViewRegistry()`

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### view

          FlutterView view()

      Deprecated.
      Returns the `FlutterView` that's instantiated by this plugin's `activity`.

      This registrar is for Flutter's v1 embedding. The `FlutterView` referenced by this method does not exist in the v2 embedding. Additionally, no `View` is exposed to any plugins in the v2 embedding. Platform views can access their containing `View` using the platform views APIs. If you have a use-case that absolutely requires a plugin to access an Android `View`, please file a ticket on GitHub.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

    - #### lookupKeyForAsset

          String lookupKeyForAsset(String asset)

      Deprecated.
      Returns the file name for the given asset. The returned file name can be used to access the asset in the APK through the `AssetManager` API.

      TODO(mattcarroll): point this method towards new lookup method.

      Parameters:
        `asset` - the name of the asset. The name can be hierarchical
      Returns:
        the filename to be used with `AssetManager`

    - #### lookupKeyForAsset

          String lookupKeyForAsset(String asset,
                                   String packageName)

      Deprecated.
      Returns the file name for the given asset which originates from the specified packageName. The returned file name can be used to access the asset in the APK through the `AssetManager` API.

      TODO(mattcarroll): point this method towards new lookup method.

      Parameters:
        `asset` - the name of the asset. The name can be hierarchical
        `packageName` - the name of the package from which the asset originates
      Returns:
        the file name to be used with `AssetManager`

    - #### publish

          PluginRegistry.Registrar publish(Object value)

      Deprecated.
      Publishes a value associated with the plugin being registered.

      The published value is available to interested clients via `PluginRegistry.valuePublishedByPlugin(String)`.

      Publication should be done only when client code needs to interact with the plugin in a way that cannot be accomplished by the plugin registering callbacks with client APIs.

      Overwrites any previously published value.

      This registrar is for Flutter's v1 embedding. The concept of publishing values from plugins is not supported in the v2 embedding.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `value` - the value, possibly null.
      Returns:
        this `PluginRegistry.Registrar`.

    - #### addRequestPermissionsResultListener

          PluginRegistry.Registrar addRequestPermissionsResultListener(PluginRegistry.RequestPermissionsResultListener listener)

      Deprecated.
      Adds a callback allowing the plugin to take part in handling incoming calls to `Activity#onRequestPermissionsResult(int, String[], int[])` or `androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback#onRequestPermissionsResult(int, String[], int[])`.

      This registrar is for Flutter's v1 embedding. To listen for permission results in the v2 embedding, use `ActivityPluginBinding#addRequestPermissionsResultListener(RequestPermissionsResultListener)`.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `listener` - a `PluginRegistry.RequestPermissionsResultListener` callback.
      Returns:
        this `PluginRegistry.Registrar`.

    - #### addActivityResultListener

          PluginRegistry.Registrar addActivityResultListener(PluginRegistry.ActivityResultListener listener)

      Deprecated.
      Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onActivityResult(int, int, Intent)`.

      This registrar is for Flutter's v1 embedding. To listen for `Activity` results in the v2 embedding, use `ActivityPluginBinding#addActivityResultListener(ActivityResultListener)`.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `listener` - an `PluginRegistry.ActivityResultListener` callback.
      Returns:
        this `PluginRegistry.Registrar`.

    - #### addNewIntentListener

          PluginRegistry.Registrar addNewIntentListener(PluginRegistry.NewIntentListener listener)

      Deprecated.
      Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onNewIntent(Intent)`.

      This registrar is for Flutter's v1 embedding. To listen for new `Intent`s in the v2 embedding, use `ActivityPluginBinding#addOnNewIntentListener(NewIntentListener)`.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `listener` - a `PluginRegistry.NewIntentListener` callback.
      Returns:
        this `PluginRegistry.Registrar`.

    - #### addUserLeaveHintListener

          PluginRegistry.Registrar addUserLeaveHintListener(PluginRegistry.UserLeaveHintListener listener)

      Deprecated.
      Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onUserLeaveHint()`.

      This registrar is for Flutter's v1 embedding. To listen for leave hints in the v2 embedding, use `ActivityPluginBinding#addOnUserLeaveHintListener(UserLeaveHintListener)`.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `listener` - a `PluginRegistry.UserLeaveHintListener` callback.
      Returns:
        this `PluginRegistry.Registrar`.

    - #### addViewDestroyListener

          PluginRegistry.Registrar addViewDestroyListener(PluginRegistry.ViewDestroyListener listener)

      Deprecated.
      Adds a callback allowing the plugin to take part in handling incoming calls to `Activity.onDestroy()`.

      This registrar is for Flutter's v1 embedding. The concept of `View` destruction does not exist in the v2 embedding. However, plugins in the v2 embedding can respond to `ActivityAware.onDetachedFromActivityForConfigChanges()` and `ActivityAware.onDetachedFromActivity()`, which indicate the loss of a visual context for the running Flutter experience. Developers should implement `ActivityAware` for their `FlutterPlugin` if such callbacks are needed. Also, plugins can respond to `FlutterPlugin.onDetachedFromEngine(FlutterPlugin.FlutterPluginBinding)`, which indicates that the given plugin has been completely disconnected from the associated Flutter experience and should clean up any resources.

      For instructions on migrating a plugin from Flutter's v1 Android embedding to v2, visit http://flutter.dev/go/android-plugin-migration

      Parameters:
        `listener` - a `PluginRegistry.ViewDestroyListener` callback.
      Returns:
        this `PluginRegistry.Registrar`.